%define upstream_name	 Tree-DAG_Node
%define upstream_version 1.29

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Class for representing nodes in a tre

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tgz

BuildRequires:	perl-devel
BuildRequires: perl(File::Slurp::Tiny)
BuildArch:	noarch

%description
This class encapsulates/makes/manipulates objects that represent nodes in a
tree structure. The tree structure is not an object itself, but is emergent
from the linkages you create between nodes. This class provides the methods for
making linkages that can be used to build up a tree, while preventing you from
ever making any kinds of linkages which are not allowed in a tree (such as
having a node be its own mother or ancestor, or having a node have two
mothers).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
make test

%files 
%doc  README
%{perl_vendorlib}/Tree
%{_mandir}/*/*

%changelog

* Sun Jun 18 2017 dsilakov <denis.silakov@rosalab.ru> 1.290.0-1
- (413d2c4) Merge pull request #5 from import/perl-Tree-DAG_Node:auto_update
- (413d2c4) Updated to 1.29 (by updates_builder)


